Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Sat 26 Jul 2014, 13:23
All times are UTC - 4
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Virtualization
VirtualBox for many Puppies
Post new topic   Reply to topic View previous topic :: View next topic
Page 9 of 13 [188 Posts]   Goto page: Previous 1, 2, 3, ..., 7, 8, 9, 10, 11, 12, 13 Next
Author Message
TheAsterisk!


Joined: 10 Feb 2009
Posts: 403
Location: SE Wisconsin, US

PostPosted: Fri 14 Sep 2012, 19:57    Post subject: Re: Thank you!  

UPDATED to VirtualBox release 4.2.0
I'll remove the 4.2.0 release candidates, but keep 4.1.22 available, just in case Oracle has snuck in any bugs or regressions.

tazoc wrote:
Thank you for these. Very Happy You've made VirtualBox a lot easier for many Puppians! Although Lighthouse64 has a System Tool to d/l and install VBox, it requires the large combined devX/kernel src SFS. I'm assuming your Pets do not--a big help for those without a reliable broadband connection, or who prefer not to install an SFS.

Regards,
TaZoC

That's right, my packages should not require the DEVX module, assuming everything works as intended and tested. (The only funny spot was that I think Fatdog 601 uses TXZ compression for dot-pets, instead of TGZ. Made for some confused fun the first time I tried to unpack them!)
Anyway, happy to help out where I can! Thanks for the kinds words, TaZoC!
Back to top
View user's profile Send private message Visit poster's website 
01micko


Joined: 11 Oct 2008
Posts: 7782
Location: qld

PostPosted: Sun 21 Oct 2012, 17:10    Post subject:  

Hello

VirtualBox was failing with a thud in Slacko-5.3.6.5 Beta2 and through the persistence of CatDude it now works.

I am speculating that it has to do "kmod", the new replacement for module-init-tools. The pet is patched with this line @line 250 in /virtualbox-4.2.0_src.install/opt/VirtualBox/src/vboxhost/vboxdrv/Makefile
Code:
-DIN_SUP_R0 -DVBOX -DRT_WITH_VBOX -DVBOX_WITH_HARDENING -DFORTIFY_RUNNING


Also, modprobe -l $MODULE fails with modprobe: invalid option -- 'l' but this is not fatal and isn't patched. This is definitely to do with kmod.

Here is the patched pet. http://www.smokey01.com/01micko/pet_packages-slacko/virtualbox-4.2.0_src.install_patched-s.pet
md5<-- 2243dbfe7195661fc40531a694d91e02 virtualbox-4.2.0_src.install_patched-s.pet

I don't know what the behaviour will be like outside of Slacko Beta, ymmv. It will likely suit pemasu's dpup based on wheezy (NOT exprimo!!!) as that ships with kmod too.

Hope this is useful to someone.
Cheers
capture22701.jpg
 Description   
 Filesize   30.47 KB
 Viewed   1841 Time(s)

capture22701.jpg


_________________
Woof Mailing List | keep the faith Cool |
Back to top
View user's profile Send private message Visit poster's website 
TheAsterisk!


Joined: 10 Feb 2009
Posts: 403
Location: SE Wisconsin, US

PostPosted: Tue 23 Oct 2012, 16:09    Post subject:  

UPDATED the 32-bit Puppies' packages to VirtualBox version 4.2.2. 64-bit packages will be up soon, and Slacko 5.3.6.5-beta support is forthcoming (see above, below).

EDIT: Support for Precise Puppy 5.4 is also on its way. (I only just found out about the final release a moment ago! Embarassed)


01micko wrote:
Hello

VirtualBox was failing with a thud in Slacko-5.3.6.5 Beta2 and through the persistence of CatDude it now works.

I am speculating that it has to do "kmod", the new replacement for module-init-tools. The pet is patched with this line @line 250 in /virtualbox-4.2.0_src.install/opt/VirtualBox/src/vboxhost/vboxdrv/Makefile
Code:
-DIN_SUP_R0 -DVBOX -DRT_WITH_VBOX -DVBOX_WITH_HARDENING -DFORTIFY_RUNNING


Also, modprobe -l $MODULE fails with modprobe: invalid option -- 'l' but this is not fatal and isn't patched. This is definitely to do with kmod.

Here is the patched pet. http://www.smokey01.com/01micko/pet_packages-slacko/virtualbox-4.2.0_src.install_patched-s.pet
md5<-- 2243dbfe7195661fc40531a694d91e02 virtualbox-4.2.0_src.install_patched-s.pet

I don't know what the behaviour will be like outside of Slacko Beta, ymmv. It will likely suit pemasu's dpup based on wheezy (NOT exprimo!!!) as that ships with kmod too.

Hope this is useful to someone.
Cheers

Thanks, 01micko. CatDude sent me a separate PM with the same information as to where and how to patch. I only got the message after I finished packaging up all the 32-bit version of VirtualBox 4.2.2 for the usual Puppies, but I do plan to try out the patch both on Slacko-5.3.6.5 and on some older Puppies. If it works well everywhere, I'll just modify and re-upload the "src.install" dot-pet, and make a "vboxdrv" package for the beta as I normally would. Otherwise, I can make a special installer for the newer Pups that will/may ship with kmod, and just add some more fun to my HTML guide(s). Laughing

I'll post any pertinent updates once I can.
Back to top
View user's profile Send private message Visit poster's website 
tiangeng

Joined: 23 Jul 2009
Posts: 61
Location: 河南 China

PostPosted: Tue 23 Oct 2012, 22:44    Post subject:  

Would you build Virtualbox3.2.8 for Precise5.4?
Virtualbox4.x is too big. Very Happy
Back to top
View user's profile Send private message 
TheAsterisk!


Joined: 10 Feb 2009
Posts: 403
Location: SE Wisconsin, US

PostPosted: Wed 24 Oct 2012, 17:06    Post subject:  

Added a VBox 4.2.2 package for Precise Puppy 540

tiangeng wrote:
Would you build Virtualbox3.2.8 for Precise5.4?
Virtualbox4.x is too big. Very Happy


I can certainly try. Wink
Honestly, my first priority for VBox is to get 4.2.2 running for the Slacko 540 beta, and seeing how I can most easily and elegantly account for it and all the other puppies in the "src.install" package. (That, and I still have to update my JRE and JDK packages to the latest versions. Rolling Eyes) That being said, I'd be happy to try to get VBox 3.2.8 (or even a more recent 3-series release) running for Precise 540 once I've addressed that issue.

As always I'll update here when possible.
Back to top
View user's profile Send private message Visit poster's website 
tiangeng

Joined: 23 Jul 2009
Posts: 61
Location: 河南 China

PostPosted: Wed 24 Oct 2012, 20:08    Post subject:  

Quote:
I can certainly try. Wink
Honestly, my first priority for VBox is to get 4.2.2 running for the Slacko 540 beta, and seeing how I can most easily and elegantly account for it and all the other puppies in the "src.install" package. (That, and I still have to update my JRE and JDK packages to the latest versions. Rolling Eyes) That being said, I'd be happy to try to get VBox 3.2.8 (or even a more recent 3-series release) running for Precise 540 once I've addressed that issue.

As always I'll update here when possible.


Thank you very much!
Back to top
View user's profile Send private message 
TheAsterisk!


Joined: 10 Feb 2009
Posts: 403
Location: SE Wisconsin, US

PostPosted: Thu 25 Oct 2012, 16:12    Post subject:  

@tiangeng: No problem!

INFORMATIONAL UPDATE
The patch for Slacko 5365 doesn't have any apparent effects on the other Puppies I make packages for, so the "src.install" package and the "vboxrv_DEV" packages will simply include the patch for the foreseeable future- unless something else changes. Laughing

Accordingly, I have made updated packages for VirtualBox 4.2.2 built with the patch applied and am uploading them now, first to my Dropbox mirror and shortly also to the SilverDollarSolutions.com mirror. I'll update the main post in just a bit.

I should also finally get access to some loaned 64-bit hardware tonight, and will get the packages for Fatdog64 and LighthousePup made and uploaded, too.

2012.10.25 @1515 CDT: Dropbox mirror 32-bit packages updated.
2012.10.25 @1605 CDT: SilverDollarSolutions.com mirror 32-bit packages updated.
2012.10.25 @ 2105 CDT: Dropbox mirror 64-bit packages added.

I'll leave the SilverDollarSolutions.com 64-packages set to upload overnight, and I'll update the main post in the morning.

Cheers!
Back to top
View user's profile Send private message Visit poster's website 
TheAsterisk!


Joined: 10 Feb 2009
Posts: 403
Location: SE Wisconsin, US

PostPosted: Fri 26 Oct 2012, 08:39    Post subject:  

Fully updated to VIrtualBox 4.2.2

I may go back and delete the redundant VBox-4.2.0 packages after a few days.



I'll get to some 3-series packages as requested by tiangeng next. Cool
Back to top
View user's profile Send private message Visit poster's website 
tiangeng

Joined: 23 Jul 2009
Posts: 61
Location: 河南 China

PostPosted: Sun 28 Oct 2012, 21:40    Post subject:  

Quote:
I'll get to some 3-series packages as requested by tiangeng next.


Very good,thank you.[/quote]
Back to top
View user's profile Send private message 
TheAsterisk!


Joined: 10 Feb 2009
Posts: 403
Location: SE Wisconsin, US

PostPosted: Mon 29 Oct 2012, 17:20    Post subject:  

Added/adding 3.2.14 packages. 4.2.2 still most current, and still available.


Added 3.2.14-x86 packages, as per the request mentioned immediatlely above. All the usual Puppy releases are supported, and it has been patched to allow installation onto the up-and-coming Slacko release (among others), if that interests you.

Additional -amd64 dot-pets will be made up and uploaded soon, likely either tonight or tomorrow.



Otherwise, anyone interested in smaller, lighter packages who doesn't need the latest features of the 4-series releases may want to give these packages a try, too. Cool
Back to top
View user's profile Send private message Visit poster's website 
tiangeng

Joined: 23 Jul 2009
Posts: 61
Location: 河南 China

PostPosted: Mon 29 Oct 2012, 21:15    Post subject:  

vbox3.2.14 for precise5.4 work fine!!
Thank you very much!!


Would you build VirtualBox 2.2.4 for precise5.4? Very Happy
It's smaller,lighter.
Back to top
View user's profile Send private message 
shinobar


Joined: 28 May 2009
Posts: 2590
Location: Japan

PostPosted: Tue 30 Oct 2012, 11:35    Post subject: virtualbox-4.2.2.sfs  

virtualbox-4.2.2.sfs for Puppy 4.3.1 and most of Puppies 5.x including Lucid, Precise Puppy and Slacko.
Available from http://shino.pos.to/party/bridge.cgi?puppy/opt/
Based on the pets by TheAsterisk!, but this SFS does not support 64bit Puppies.

Built-in kernel modules:
2.6.30.5
2.6.32.28
2.6.32.59
2.6.33.2
2.6.37.6
2.6.39.4
3.0.25
3.1.10-slacko_4gA
3.1.10-slacko_paeA
3.2.29

_________________
Google Chrome portable
Downloads for Puppy Linux http://shino.pos.to/linux/downloads.html
Back to top
View user's profile Send private message Visit poster's website 
gcmartin

Joined: 14 Oct 2005
Posts: 4096
Location: Earth

PostPosted: Tue 30 Oct 2012, 12:57    Post subject:  

Anyone notice this

There is a progress that is offered. The intent is to provide "near native" performance in VM clients when dispatched in the distro host.

My concern for community use is "in the offer, there, if it impacts anything in the VM host's operations". Any tests would help provide experiences for community understanding and benefit.

Comments appreciated.

_________________
Get ACTIVE Create Circles; Do those good things which benefit people's needs!
We are all related ... Its time to show that we know this!
3 Different Puppy Search Engine or use DogPile
Back to top
View user's profile Send private message 
TheAsterisk!


Joined: 10 Feb 2009
Posts: 403
Location: SE Wisconsin, US

PostPosted: Tue 30 Oct 2012, 18:04    Post subject:  

tiangeng wrote:
vbox3.2.14 for precise5.4 work fine!!
Thank you very much!!

No problem!
Quote:
Would you build VirtualBox 2.2.4 for precise5.4? Very Happy
It's smaller,lighter.

You really like the older stuff, huh? Shocked
I've never run a VBox from before the 3-series, but you're giving me something to occupy my attention, so I'll give it a shot. No promises, though.

Next I suppose you'll ask for 1.6.6, eh? Razz




@shinobar: Thanks! I'll update the version listed in the main post's link to your SFS.
Back to top
View user's profile Send private message Visit poster's website 
TheAsterisk!


Joined: 10 Feb 2009
Posts: 403
Location: SE Wisconsin, US

PostPosted: Tue 30 Oct 2012, 19:22    Post subject:  

Added 64-bit packages for VBox 3.2.14
Back to top
View user's profile Send private message Visit poster's website 
Display posts from previous:   Sort by:   
Page 9 of 13 [188 Posts]   Goto page: Previous 1, 2, 3, ..., 7, 8, 9, 10, 11, 12, 13 Next
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Virtualization
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.1011s ][ Queries: 13 (0.0112s) ][ GZIP on ]